# Generated by Django 5.2b1 on 2025-03-28 09:39

import django.core.validators
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("core", "0008_created_and_updated"),
    ]

    operations = [
        migrations.AddField(
            model_name="organization",
            name="namespace",
            field=models.CharField(
                default="namespace",
                help_text="This namespace will be used for all Kubernetes resources. Cannot be changed after creation.",
                max_length=63,
                unique=True,
                validators=[
                    django.core.validators.RegexValidator(
                        code="invalid_namespace",
                        message='Namespace must consist of lowercase alphanumeric characters or "-", must start and end with an alphanumeric character.',
                        regex="^[a-z0-9]([-a-z0-9]*[a-z0-9])?$",
                    )
                ],
                verbose_name="Kubernetes Namespace",
            ),
            preserve_default=False,
        ),
    ]
